Installing GN3.8.1 on Linux Mint 19.2

classic Classic list List threaded Threaded
4 messages Options
tac
Reply | Threaded
Open this post in threaded view
|

Installing GN3.8.1 on Linux Mint 19.2

tac
I am stuck installing GeoNetwork 3.8.1 on Linux Mint 19.2.

Host: M57 Kernel: 4.15.0-66-generic x86_64 bits: 64 compiler: gcc v: 7.4.0
Desktop: MATE 1.22.0 wm: marco dm: LightDM Distro: Linux Mint 19.2 Tina
base: Ubuntu 18.04 bionic

I was having installation problems installing the .war file with Jetty9,
so I switched to Tomcat9 but with no additional success. I used the
conventional /usr/share/ and /var/lib/ locations for the war file.  For
the Tomcat attempt I created a config-override.xml file with:
<overrides>
    <spring>
       <set bean="jpaVendorAdapter" property="database" value="POSTGRESQL"/>
       <set bean="jdbcDataSource" property="driverClassName"
value="org.postgis.DriverWrapper"/>
       <set bean="jdbcDataSource" property="Url"
value="jdbc:postgresql_postGIS://localhost:5432/{myPgDbase}"/>
       <set bean="jdbcDataSource" property="username" value="{myPgId}"/>
       <set bean="jdbcDataSource" property="password" value="{myPgPW}"/>
    </spring>
</overrides>

This got me to fatal errors related to creating a bean with name
'entityManagerFactory' in 'config-spring-geonetwork.xml'.  There was
another error associated with jdbcDataSource in 'jndi-postgres-postgis.xml'.

During this time, both the Jetty webserver and the Tomcat webserver
successively launched geoserver, so I knew the webservers were fine.

I then used the geonetwork-install-3.8.1-0.jar file on my Windows 10
box, and geonetwork installed fine.

Next I tried loading the geonetwork-install-3.8.1-0.jar file into my
user directory on the Linux box, after removing the Tomcat9 and Jetty9
apps so that I was only running the self-contained package.  In the
jetty/log file after the familiar warnings about jars originating from
overlapping multiple locations, I got

    . . .

2019-10-27 14:12:34.905:WARN:oeja.AnnotationParser:qtp985397764-14:
org.w3c.dom.UserDataHandler scanned from multiple locations:
jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/jaxen-1.1.4.jar!/org/w3c/dom/UserDataHandler.class,
jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/xom-1.1.jar!/org/w3c/dom/UserDataHandler.class
2019-10-27 14:12:34.979:INFO:oeja.AnnotationConfiguration:main: Scanning
elapsed time=10019ms
2019-10-27 14:12:35.596:INFO:oejshC.geonetwork:main: No Spring
WebApplicationInitializer types detected on classpath
2019-10-27 14:12:36.567:INFO:oejs.session:main: DefaultSessionIdManager
workerName=node0
2019-10-27 14:12:36.568:INFO:oejs.session:main: No SessionScavenger set,
using defaults
2019-10-27 14:12:36.569:INFO:oejs.session:main: node0 Scavenging every
600000ms
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by
org.springframework.cglib.core.ReflectUtils$1
(file:/home/terry/geonetwork/web/geonetwork/WEB-INF/lib/spring-core-4.2.6.RELEASE.jar)
to method
java.lang.ClassLoader.defineClass(java.lang.String,byte[],int,int,java.security.ProtectionDomain)
WARNING: Please consider reporting this to the maintainers of
org.springframework.cglib.core.ReflectUtils$1
WARNING: Use --illegal-access=warn to enable warnings of further illegal
reflective access operations
WARNING: All illegal access operations will be denied in a future release
2019-10-27 14:12:55,624 ERROR [jeeves] - JeevesContextLoaderListener:
Error creating bean with name
'org.fao.geonet.kernel.datamanager.draft.DraftMetadataIndexer#0':
Injection of autowired dependencies failed; nested exception is
org.springframework.beans.factory.BeanCreationException: Could not
autowire field: private org.fao.geonet.kernel.search.SearchManager
org.fao.geonet.kernel.datamanager.base.BaseMetadataIndexer.searchManager;
nested exception is
org.springframework.beans.factory.BeanCreationException: Error creating
bean with name 'SearchManager' defined in URL
[jar:file:/home/terry/geonetwork/web/geonetwork/WEB-INF/lib/core-3.8.1-0.jar!/config-spring-geonetwork.xml]:
Instantiation of bean failed; nested exception is
java.lang.ExceptionInInitializerError
org.springframework.beans.factory.BeanCreationException: Error creating
bean with name
'org.fao.geonet.kernel.datamanager.draft.DraftMetadataIndexer#0':
Injection of autowired dependencies failed; nested exception is
org.springframework.beans.factory.BeanCreationException: Could not
autowire field: private org.fao.geonet.kernel.search.SearchManager
org.fao.geonet.kernel.datamanager.base.BaseMetadataIndexer.searchManager;
nested exception is
org.springframework.beans.factory.BeanCreationException: Error creating
bean with name 'SearchManager' defined in URL
[jar:file:/home/terry/geonetwork/web/geonetwork/WEB-INF/lib/core-3.8.1-0.jar!/config-spring-geonetwork.xml]:
Instantiation of bean failed; nested exception is
java.lang.ExceptionInInitializerError
     at
org.springframework.beans.factory.annotation.AutowiredAnnotationBeanPostProcessor.postProcessPropertyValues(AutowiredAnnotationBeanPostProcessor.java:334)
. . .

At the http://localhost:8080 prompt, I get the following contexts:
     /geonetwork --->
o.e.j.w.WebAppContext@49ec71f8{geonetwork,/geonetwork,[file:///home/terry/geonetwork/web/geonetwork/,
jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/emberjs-1.9.0-1.jar!/META-INF/resources,
jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/envjs-1.2.jar!/META-INF/resources,
jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/handlebars-3.0.3.jar!/META-INF/resources,
jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/json2-20110223.jar!/META-INF/resources,
jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/less-1.3.3.jar!/META-INF/resources,
jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/validate.js-0.8.0.jar!/META-INF/resources,
jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/coffee-script-1.10.0.jar!/META-INF/resources,
jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/jquery-1.10.2-1.jar!/META-INF/resources,
jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/jshint-2.6.3-2.jar!/META-INF/resources,
jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/jslint-20140708-394bf29.jar!/META-INF/resources],UNAVAILABLE}{/home/terry/geonetwork/web/geonetwork}
     /target --->
o.e.j.w.WebAppContext@6b7fb916{target,/target,file:///home/terry/geonetwork/web/target/,AVAILABLE}{/home/terry/geonetwork/web/target}
     /geoserver --->
o.e.j.w.WebAppContext@1d2d79f7{GeoServer,/geoserver,file:///tmp/jetty-0.0.0.0-8080-geoserver.war-_geoserver-any-17018366173110792971.dir/webapp/,AVAILABLE}{/home/terry/geonetwork/web/geoserver.war}


I am starting to wonder if there is some special limitation about
geonetwork on Lint Mint, which I recently installed, or my understanding
of the overrides file?

I would appreciate any advice about my installation attempts.


_______________________________________________
GeoNetwork-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geonetwork-users
GeoNetwork OpenSource is maintained at http://sourceforge.net/projects/geonetwork
Reply | Threaded
Open this post in threaded view
|

Re: Installing GN3.8.1 on Linux Mint 19.2

Ian Turton
That looks like you are using a recent version of Java (10 or 11?) while
GeoNetwork is only compiled to work with Java 8.

Ian

On Sun, 27 Oct 2019 at 22:35, Terry <[hidden email]> wrote:

> I am stuck installing GeoNetwork 3.8.1 on Linux Mint 19.2.
>
> Host: M57 Kernel: 4.15.0-66-generic x86_64 bits: 64 compiler: gcc v: 7.4.0
> Desktop: MATE 1.22.0 wm: marco dm: LightDM Distro: Linux Mint 19.2 Tina
> base: Ubuntu 18.04 bionic
>
> I was having installation problems installing the .war file with Jetty9,
> so I switched to Tomcat9 but with no additional success. I used the
> conventional /usr/share/ and /var/lib/ locations for the war file.  For
> the Tomcat attempt I created a config-override.xml file with:
> <overrides>
>     <spring>
>        <set bean="jpaVendorAdapter" property="database"
> value="POSTGRESQL"/>
>        <set bean="jdbcDataSource" property="driverClassName"
> value="org.postgis.DriverWrapper"/>
>        <set bean="jdbcDataSource" property="Url"
> value="jdbc:postgresql_postGIS://localhost:5432/{myPgDbase}"/>
>        <set bean="jdbcDataSource" property="username" value="{myPgId}"/>
>        <set bean="jdbcDataSource" property="password" value="{myPgPW}"/>
>     </spring>
> </overrides>
>
> This got me to fatal errors related to creating a bean with name
> 'entityManagerFactory' in 'config-spring-geonetwork.xml'.  There was
> another error associated with jdbcDataSource in
> 'jndi-postgres-postgis.xml'.
>
> During this time, both the Jetty webserver and the Tomcat webserver
> successively launched geoserver, so I knew the webservers were fine.
>
> I then used the geonetwork-install-3.8.1-0.jar file on my Windows 10
> box, and geonetwork installed fine.
>
> Next I tried loading the geonetwork-install-3.8.1-0.jar file into my
> user directory on the Linux box, after removing the Tomcat9 and Jetty9
> apps so that I was only running the self-contained package.  In the
> jetty/log file after the familiar warnings about jars originating from
> overlapping multiple locations, I got
>
>     . . .
>
> 2019-10-27 14:12:34.905:WARN:oeja.AnnotationParser:qtp985397764-14:
> org.w3c.dom.UserDataHandler scanned from multiple locations:
> jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/jaxen-1.1.4.jar!/org/w3c/dom/UserDataHandler.class,
>
>
> jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/xom-1.1.jar!/org/w3c/dom/UserDataHandler.class
> 2019-10-27 14:12:34.979:INFO:oeja.AnnotationConfiguration:main: Scanning
> elapsed time=10019ms
> 2019-10-27 14:12:35.596:INFO:oejshC.geonetwork:main: No Spring
> WebApplicationInitializer types detected on classpath
> 2019-10-27 14:12:36.567:INFO:oejs.session:main: DefaultSessionIdManager
> workerName=node0
> 2019-10-27 14:12:36.568:INFO:oejs.session:main: No SessionScavenger set,
> using defaults
> 2019-10-27 14:12:36.569:INFO:oejs.session:main: node0 Scavenging every
> 600000ms
> WARNING: An illegal reflective access operation has occurred
> WARNING: Illegal reflective access by
> org.springframework.cglib.core.ReflectUtils$1
> (file:/home/terry/geonetwork/web/geonetwork/WEB-INF/lib/spring-core-4.2.6.RELEASE.jar)
>
> to method
>
> java.lang.ClassLoader.defineClass(java.lang.String,byte[],int,int,java.security.ProtectionDomain)
> WARNING: Please consider reporting this to the maintainers of
> org.springframework.cglib.core.ReflectUtils$1
> WARNING: Use --illegal-access=warn to enable warnings of further illegal
> reflective access operations
> WARNING: All illegal access operations will be denied in a future release
> 2019-10-27 14:12:55,624 ERROR [jeeves] - JeevesContextLoaderListener:
> Error creating bean with name
> 'org.fao.geonet.kernel.datamanager.draft.DraftMetadataIndexer#0':
> Injection of autowired dependencies failed; nested exception is
> org.springframework.beans.factory.BeanCreationException: Could not
> autowire field: private org.fao.geonet.kernel.search.SearchManager
> org.fao.geonet.kernel.datamanager.base.BaseMetadataIndexer.searchManager;
> nested exception is
> org.springframework.beans.factory.BeanCreationException: Error creating
> bean with name 'SearchManager' defined in URL
> [jar:file:/home/terry/geonetwork/web/geonetwork/WEB-INF/lib/core-3.8.1-0.jar!/config-spring-geonetwork.xml]:
>
> Instantiation of bean failed; nested exception is
> java.lang.ExceptionInInitializerError
> org.springframework.beans.factory.BeanCreationException: Error creating
> bean with name
> 'org.fao.geonet.kernel.datamanager.draft.DraftMetadataIndexer#0':
> Injection of autowired dependencies failed; nested exception is
> org.springframework.beans.factory.BeanCreationException: Could not
> autowire field: private org.fao.geonet.kernel.search.SearchManager
> org.fao.geonet.kernel.datamanager.base.BaseMetadataIndexer.searchManager;
> nested exception is
> org.springframework.beans.factory.BeanCreationException: Error creating
> bean with name 'SearchManager' defined in URL
> [jar:file:/home/terry/geonetwork/web/geonetwork/WEB-INF/lib/core-3.8.1-0.jar!/config-spring-geonetwork.xml]:
>
> Instantiation of bean failed; nested exception is
> java.lang.ExceptionInInitializerError
>      at
> org.springframework.beans.factory.annotation.AutowiredAnnotationBeanPostProcessor.postProcessPropertyValues(AutowiredAnnotationBeanPostProcessor.java:334)
>
> . . .
>
> At the http://localhost:8080 prompt, I get the following contexts:
>      /geonetwork --->
> o.e.j.w.WebAppContext@49ec71f8{geonetwork,/geonetwork,[file:///home/terry/geonetwork/web/geonetwork/,
>
> jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/emberjs-1.9.0-1.jar!/META-INF/resources,
>
> jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/envjs-1.2.jar!/META-INF/resources,
>
> jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/handlebars-3.0.3.jar!/META-INF/resources,
>
> jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/json2-20110223.jar!/META-INF/resources,
>
> jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/less-1.3.3.jar!/META-INF/resources,
>
> jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/validate.js-0.8.0.jar!/META-INF/resources,
>
> jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/coffee-script-1.10.0.jar!/META-INF/resources,
>
> jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/jquery-1.10.2-1.jar!/META-INF/resources,
>
> jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/jshint-2.6.3-2.jar!/META-INF/resources,
>
>
> jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/jslint-20140708-394bf29.jar!/META-INF/resources],UNAVAILABLE}{/home/terry/geonetwork/web/geonetwork}
>      /target --->
> o.e.j.w.WebAppContext@6b7fb916
> {target,/target,file:///home/terry/geonetwork/web/target/,AVAILABLE}{/home/terry/geonetwork/web/target}
>      /geoserver --->
> o.e.j.w.WebAppContext@1d2d79f7
> {GeoServer,/geoserver,file:///tmp/jetty-0.0.0.0-8080-geoserver.war-_geoserver-any-17018366173110792971.dir/webapp/,AVAILABLE}{/home/terry/geonetwork/web/geoserver.war}
>
>
> I am starting to wonder if there is some special limitation about
> geonetwork on Lint Mint, which I recently installed, or my understanding
> of the overrides file?
>
> I would appreciate any advice about my installation attempts.
>
>
> _______________________________________________
> GeoNetwork-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/geonetwork-users
> GeoNetwork OpenSource is maintained at
> http://sourceforge.net/projects/geonetwork
>


--
Ian Turton

_______________________________________________
GeoNetwork-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geonetwork-users
GeoNetwork OpenSource is maintained at http://sourceforge.net/projects/geonetwork
Reply | Threaded
Open this post in threaded view
|

Re: Installing GN3.8.1 on Linux Mint 19.2

Jo Cook
Hi Terry,

Yes, I agree with Ian, although it's completely obfuscated in the
error logs, this problem is caused by using a later version of Java. I
can confirm that the combination of Tomcat8 and open-jdk-8 works a
charm.

Let me know if you have trouble stripping out the later java stuff as
I have a note (somewhere) of what I needed to do on Ubuntu recently
when I encountered the same problem.

Regards

Jo

On Mon, Oct 28, 2019 at 8:32 AM Ian Turton <[hidden email]> wrote:

>
> That looks like you are using a recent version of Java (10 or 11?) while
> GeoNetwork is only compiled to work with Java 8.
>
> Ian
>
> On Sun, 27 Oct 2019 at 22:35, Terry <[hidden email]> wrote:
>
> > I am stuck installing GeoNetwork 3.8.1 on Linux Mint 19.2.
> >
> > Host: M57 Kernel: 4.15.0-66-generic x86_64 bits: 64 compiler: gcc v: 7.4.0
> > Desktop: MATE 1.22.0 wm: marco dm: LightDM Distro: Linux Mint 19.2 Tina
> > base: Ubuntu 18.04 bionic
> >
> > I was having installation problems installing the .war file with Jetty9,
> > so I switched to Tomcat9 but with no additional success. I used the
> > conventional /usr/share/ and /var/lib/ locations for the war file.  For
> > the Tomcat attempt I created a config-override.xml file with:
> > <overrides>
> >     <spring>
> >        <set bean="jpaVendorAdapter" property="database"
> > value="POSTGRESQL"/>
> >        <set bean="jdbcDataSource" property="driverClassName"
> > value="org.postgis.DriverWrapper"/>
> >        <set bean="jdbcDataSource" property="Url"
> > value="jdbc:postgresql_postGIS://localhost:5432/{myPgDbase}"/>
> >        <set bean="jdbcDataSource" property="username" value="{myPgId}"/>
> >        <set bean="jdbcDataSource" property="password" value="{myPgPW}"/>
> >     </spring>
> > </overrides>
> >
> > This got me to fatal errors related to creating a bean with name
> > 'entityManagerFactory' in 'config-spring-geonetwork.xml'.  There was
> > another error associated with jdbcDataSource in
> > 'jndi-postgres-postgis.xml'.
> >
> > During this time, both the Jetty webserver and the Tomcat webserver
> > successively launched geoserver, so I knew the webservers were fine.
> >
> > I then used the geonetwork-install-3.8.1-0.jar file on my Windows 10
> > box, and geonetwork installed fine.
> >
> > Next I tried loading the geonetwork-install-3.8.1-0.jar file into my
> > user directory on the Linux box, after removing the Tomcat9 and Jetty9
> > apps so that I was only running the self-contained package.  In the
> > jetty/log file after the familiar warnings about jars originating from
> > overlapping multiple locations, I got
> >
> >     . . .
> >
> > 2019-10-27 14:12:34.905:WARN:oeja.AnnotationParser:qtp985397764-14:
> > org.w3c.dom.UserDataHandler scanned from multiple locations:
> > jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/jaxen-1.1.4.jar!/org/w3c/dom/UserDataHandler.class,
> >
> >
> > jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/xom-1.1.jar!/org/w3c/dom/UserDataHandler.class
> > 2019-10-27 14:12:34.979:INFO:oeja.AnnotationConfiguration:main: Scanning
> > elapsed time=10019ms
> > 2019-10-27 14:12:35.596:INFO:oejshC.geonetwork:main: No Spring
> > WebApplicationInitializer types detected on classpath
> > 2019-10-27 14:12:36.567:INFO:oejs.session:main: DefaultSessionIdManager
> > workerName=node0
> > 2019-10-27 14:12:36.568:INFO:oejs.session:main: No SessionScavenger set,
> > using defaults
> > 2019-10-27 14:12:36.569:INFO:oejs.session:main: node0 Scavenging every
> > 600000ms
> > WARNING: An illegal reflective access operation has occurred
> > WARNING: Illegal reflective access by
> > org.springframework.cglib.core.ReflectUtils$1
> > (file:/home/terry/geonetwork/web/geonetwork/WEB-INF/lib/spring-core-4.2.6.RELEASE.jar)
> >
> > to method
> >
> > java.lang.ClassLoader.defineClass(java.lang.String,byte[],int,int,java.security.ProtectionDomain)
> > WARNING: Please consider reporting this to the maintainers of
> > org.springframework.cglib.core.ReflectUtils$1
> > WARNING: Use --illegal-access=warn to enable warnings of further illegal
> > reflective access operations
> > WARNING: All illegal access operations will be denied in a future release
> > 2019-10-27 14:12:55,624 ERROR [jeeves] - JeevesContextLoaderListener:
> > Error creating bean with name
> > 'org.fao.geonet.kernel.datamanager.draft.DraftMetadataIndexer#0':
> > Injection of autowired dependencies failed; nested exception is
> > org.springframework.beans.factory.BeanCreationException: Could not
> > autowire field: private org.fao.geonet.kernel.search.SearchManager
> > org.fao.geonet.kernel.datamanager.base.BaseMetadataIndexer.searchManager;
> > nested exception is
> > org.springframework.beans.factory.BeanCreationException: Error creating
> > bean with name 'SearchManager' defined in URL
> > [jar:file:/home/terry/geonetwork/web/geonetwork/WEB-INF/lib/core-3.8.1-0.jar!/config-spring-geonetwork.xml]:
> >
> > Instantiation of bean failed; nested exception is
> > java.lang.ExceptionInInitializerError
> > org.springframework.beans.factory.BeanCreationException: Error creating
> > bean with name
> > 'org.fao.geonet.kernel.datamanager.draft.DraftMetadataIndexer#0':
> > Injection of autowired dependencies failed; nested exception is
> > org.springframework.beans.factory.BeanCreationException: Could not
> > autowire field: private org.fao.geonet.kernel.search.SearchManager
> > org.fao.geonet.kernel.datamanager.base.BaseMetadataIndexer.searchManager;
> > nested exception is
> > org.springframework.beans.factory.BeanCreationException: Error creating
> > bean with name 'SearchManager' defined in URL
> > [jar:file:/home/terry/geonetwork/web/geonetwork/WEB-INF/lib/core-3.8.1-0.jar!/config-spring-geonetwork.xml]:
> >
> > Instantiation of bean failed; nested exception is
> > java.lang.ExceptionInInitializerError
> >      at
> > org.springframework.beans.factory.annotation.AutowiredAnnotationBeanPostProcessor.postProcessPropertyValues(AutowiredAnnotationBeanPostProcessor.java:334)
> >
> > . . .
> >
> > At the http://localhost:8080 prompt, I get the following contexts:
> >      /geonetwork --->
> > o.e.j.w.WebAppContext@49ec71f8{geonetwork,/geonetwork,[file:///home/terry/geonetwork/web/geonetwork/,
> >
> > jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/emberjs-1.9.0-1.jar!/META-INF/resources,
> >
> > jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/envjs-1.2.jar!/META-INF/resources,
> >
> > jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/handlebars-3.0.3.jar!/META-INF/resources,
> >
> > jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/json2-20110223.jar!/META-INF/resources,
> >
> > jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/less-1.3.3.jar!/META-INF/resources,
> >
> > jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/validate.js-0.8.0.jar!/META-INF/resources,
> >
> > jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/coffee-script-1.10.0.jar!/META-INF/resources,
> >
> > jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/jquery-1.10.2-1.jar!/META-INF/resources,
> >
> > jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/jshint-2.6.3-2.jar!/META-INF/resources,
> >
> >
> > jar:file:///home/terry/geonetwork/web/geonetwork/WEB-INF/lib/jslint-20140708-394bf29.jar!/META-INF/resources],UNAVAILABLE}{/home/terry/geonetwork/web/geonetwork}
> >      /target --->
> > o.e.j.w.WebAppContext@6b7fb916
> > {target,/target,file:///home/terry/geonetwork/web/target/,AVAILABLE}{/home/terry/geonetwork/web/target}
> >      /geoserver --->
> > o.e.j.w.WebAppContext@1d2d79f7
> > {GeoServer,/geoserver,file:///tmp/jetty-0.0.0.0-8080-geoserver.war-_geoserver-any-17018366173110792971.dir/webapp/,AVAILABLE}{/home/terry/geonetwork/web/geoserver.war}
> >
> >
> > I am starting to wonder if there is some special limitation about
> > geonetwork on Lint Mint, which I recently installed, or my understanding
> > of the overrides file?
> >
> > I would appreciate any advice about my installation attempts.
> >
> >
> > _______________________________________________
> > GeoNetwork-users mailing list
> > [hidden email]
> > https://lists.sourceforge.net/lists/listinfo/geonetwork-users
> > GeoNetwork OpenSource is maintained at
> > http://sourceforge.net/projects/geonetwork
> >
>
>
> --
> Ian Turton
>
> _______________________________________________
> GeoNetwork-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/geonetwork-users
> GeoNetwork OpenSource is maintained at http://sourceforge.net/projects/geonetwork



--
Jo Cook
t:+44 7930 524 155/twitter:@archaeogeek
Please note that currently I do not work on Friday afternoons. For
urgent responses at that time, please visit
support.astuntechnology.com or phone our office on 01372 744009

--
-- 
*Sign up to our mailing list
<https://astuntechnology.com/company/#email-updates> for updates on news,
products, conferences, events and training*
*
*

Astun Technology Ltd, The
Coach House, 17 West Street, Epsom, Surrey, KT18 7RL, UK 
t:+44 1372 744
009 w: astuntechnology.com <http://astuntechnology.com/> twitter:@astuntech
<https://twitter.com/astuntech>



iShare - enterprise geographic
intelligence platform <https://astuntechnology.com/ishare/>
GeoServer,
PostGIS and QGIS training <https://astuntechnology.com/services/#training>

Helpdesk and customer portal
<http://support.astuntechnology.com/support/login>




Company registration
no. 5410695. Registered in England and Wales. Registered office: 120 Manor
Green Road, Epsom, Surrey, KT19 8LN VAT no. 864201149.


_______________________________________________
GeoNetwork-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geonetwork-users
GeoNetwork OpenSource is maintained at http://sourceforge.net/projects/geonetwork
tac
Reply | Threaded
Open this post in threaded view
|

Re: Installing GN3.8.1 on Linux Mint 19.2

tac
Thank you Ian and Jo!  I am running OpenJDK version 11.0.4, and that is
the issue.

I downloaded a copy of Java 8, modified the Geonetwork startup.sh to
point at that version of java and it worked.

I am running two versions of java, so this is not a recommended approach
for a production installation. However, it is my test box, so okay for now.

-- terry

On 2019-10-28 2:17 a.m., Jo Cook wrote:

> Hi Terry,
>
> Yes, I agree with Ian, although it's completely obfuscated in the
> error logs, this problem is caused by using a later version of Java. I
> can confirm that the combination of Tomcat8 and open-jdk-8 works a
> charm.
>
> Let me know if you have trouble stripping out the later java stuff as
> I have a note (somewhere) of what I needed to do on Ubuntu recently
> when I encountered the same problem.
>
> Regards
>
> Jo
>
> On Mon, Oct 28, 2019 at 8:32 AM Ian Turton <[hidden email]> wrote:
>> That looks like you are using a recent version of Java (10 or 11?) while
>> GeoNetwork is only compiled to work with Java 8.
>>
>> Ian
>>
>> On Sun, 27 Oct 2019 at 22:35, Terry <[hidden email]> wrote:
>>
>>> I am stuck installing GeoNetwork 3.8.1 on Linux Mint 19.2.
>>>
>>> Host: M57 Kernel: 4.15.0-66-generic x86_64 bits: 64 compiler: gcc v: 7.4.0
>>> Desktop: MATE 1.22.0 wm: marco dm: LightDM Distro: Linux Mint 19.2 Tina
>>> base: Ubuntu 18.04 bionic
>>>



_______________________________________________
GeoNetwork-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geonetwork-users
GeoNetwork OpenSource is maintained at http://sourceforge.net/projects/geonetwork